www.cendio.com
Bug 4526 - Consider having US keyboard maps by default
: Consider having US keyboard maps by default
Status: CLOSED FIXED
: ThinLinc
VNC
: trunk
: PC Unknown
: P2 Normal
: 4.1.0
Assigned To:
:
:
:
: 3523
  Show dependency treegraph
 
Reported: 2013-01-28 16:33 by
Modified: 2013-05-27 14:35 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2013-01-28 16:33:29
Currently, the default configuration is to start Xvnc with a simulated Swedish
physical keyboard, ie xserver_args contains "-KeyboardMap=sv". Also,
/appservergroups/rdp/default/keyboard_layout is set to "sv". The reasoning
behind this is that Swedish can be considered a superset of the US map. Thus,
we can have a solution that works with most keyboard symbols and applications
in the default configuration for both Nordic countries as well as the US/UK. 

However, as pointed out by
http://lists.cendio.se/pipermail/thinlinc-technical/2013-January/000216.html,
this isn't entirely true: If you have different keybindings for "X-symbol" and
"X-Shift-symbol", you will have problems if the symbol can only be found in a
shifted column in the keyboard map. This is the case with semicolon in the
swedish layout. 

One solution could be to try to identify that cases where this is a problem,
and add those symbols in unshifted columns as well. But that could be difficult
or even impossible, and the keyboard layout would no longer match the keyboard
layout of a physical workstation. 

Another solution is to use US keyboard maps by default instead. In that case,
we would need to check what problems we will have with Swedish keyboards. In
theory, well-behaved applications should work.
------- Comment #1 From cendio 2013-04-15 16:35:42 -------
Bug 3074 changed the default Xvnc layout to "us". appservergroups.hconf updated
in r27079.
------- Comment #2 From cendio 2013-04-16 11:07:26 -------
Changing the layout rdesktop has more severe consequences than for Xvnc, so a
discussion is warranted.
------- Comment #3 From cendio 2013-04-16 13:03:41 -------
Options for rdesktop and the problems it causes:

a) Default layout: en-us

Non-ascii characters will not work. This includes common Swedish characters
like åäö, the german ü, etc.

b) Default layout: sv

Same problem as for X11; pressing things like Alt+; results in Alt+Shift+; on
the WTS.

Swedish characters work, but characters from other layouts, like german, are
still broken.

c) Default layout: de

Same issues as for 'se' really, just a different set of characters that are
affected.

d) Default layout: none

rdesktop will in this mode look at the locale and make a guess. As long as
people use their local language and not English, then this has a high
probability of guessing the correct layout.
------- Comment #4 From cendio 2013-04-17 12:35:40 -------
We've decided on d). Need to check the documentation as well to make sure that
behaviour is documented.
------- Comment #5 From cendio 2013-04-17 13:40:02 -------
Fixed in r27098.
------- Comment #6 From cendio 2013-05-27 14:35:59 -------
Works great.